> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Livekit Agents Session



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml post /integrations/livekit/agents
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /integrations/livekit/agents:
    post:
      summary: Start Livekit Agents Session
      operationId: init_integrations_livekit_agents_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiveKitInitializationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  session_id:
                    type: string
                    format: uuid
                  destination:
                    type: string
                    format: base64
        '400':
          description: Session Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security: []
components:
  schemas:
    LiveKitInitializationRequest:
      properties:
        session_token:
          type: string
          title: Session Token
        livekit_token:
          type: string
          title: Livekit Token
        livekit_url:
          type: string
          title: Livekit Url
      type: object
      required:
        - session_token
        - livekit_token
        - livekit_url
      title: LiveKitInitializationRequest
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````